[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#367068: marked as done (debian-installer: qemu support for cdrom images)

Your message dated Wed, 26 Jul 2006 01:31:29 -0700
with message-id <E1G5enh-0005cf-FX@spohr.debian.org>
and subject line Bug#367068: fixed in debian-installer 20060726
has caused the attached Bug report to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what I am
talking about this indicates a serious mail system misconfiguration
somewhere.  Please contact me immediately.)

Debian bug tracking system administrator
(administrator, Debian Bugs database)

--- Begin Message ---
Package: debian-installer
Version: 20060304
Severity: wishlist
Tags: patch


Here is a patch for supporting CD-ROM images in qemu targets.

Index: build/Makefile
--- build/Makefile	(révision 37265)
+++ build/Makefile	(copie de travail)
@@ -877,6 +877,9 @@
 	floppy) \
 		$(QEMU) -fda $(BOOT); \
 	;; \
+	CD-ROM) \
+		$(QEMU) -cdrom $(BOOT); \
+	;; \
 	*) \
 		echo "Sorry, don't know how to handle media type '$(MEDIA_TYPE)'" >&2; \
 		exit 1; \

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (900, 'testing'), (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.17-rc1
Locale: LANG=fr_FR@euro, LC_CTYPE=fr_FR@euro (charmap=ISO-8859-15)

-- no debconf information

--- End Message ---
--- Begin Message ---
Source: debian-installer
Source-Version: 20060726

We believe that the bug you reported is fixed in the latest version of
debian-installer, which is due to be installed in the Debian FTP archive:

  to pool/main/d/debian-installer/debian-installer_20060726.dsc
  to pool/main/d/debian-installer/debian-installer_20060726.tar.gz
  to pool/main/d/debian-installer/debian-installer_20060726_amd64.deb

A summary of the changes between this version and the previous one is

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 367068@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
Frans Pop <fjp@debian.org> (supplier of updated debian-installer package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)

Hash: SHA1

Format: 1.7
Date: Wed, 26 Jul 2006 08:27:46 +0200
Source: debian-installer
Binary: debian-installer
Architecture: source amd64
Version: 20060726
Distribution: unstable
Urgency: low
Maintainer: Frans Pop <fjp@debian.org>
Changed-By: Frans Pop <fjp@debian.org>
 debian-installer - Debian installer
Closes: 228808 345319 355851 363661 366441 367068 373264
 debian-installer (20060726) unstable; urgency=low
   [ Martin Michlmayr ]
   * Make sure the Netwinder image doesn't exceed NeTTrom's size limit.
     Closes: #345319.
   * Include essential kernel modules on the Netwinder cdrom initrd.
   * Fix a typo in the Cobalt preseed file.
   * Rename sb1-swarm-bn to sb1-bcm91250a for consistency.
   * Add 2.6 images on mips and mipel.
   * Add support for the Broadcom BCM91480B evaluation board (aka "BigSur").
   * Add support for the SGI O2 (IP32) machines (with R5000 CPU).
   * Put beep-udeb on the NSLU2 initrd so we can notify people when SSH is
   * Switch to 2.6.16 kernel on arm.
   * Put the input-modules udeb on the NSLU2 image so the beeper will work.
   * Remove (incomplete) LART and BAST support.
   * Remove 2.4 images on arm.
   [ Joey Hess ]
   * Split off PRESEED_SUITE from PRESEED, use this for the suite setting
     for development builds, and no longer unset PRESEED for release builds.
     Should fix cobalt issues.
   * Audited the x86 kernel parameter docs in the boot screens vs the 2.6.15
     kernel. Removed documentation for parameters that are not listed in the
     kernel's kernel-parameters.txt, and to a certian extent read the source
     to find places where kernel-parameters.txt is wrong, and removed those
     too. It's probably better to not document things than to document them
   * Modified kernel parameter docs to use the module.param=value syntax
     for all parameters that are owned by a loadable kernel module. The old
     param=value at the boot line won't work, since d-i doesn't pass kernel
     command line to modules. The new syntax requires rootskel 1.30 to work.
     (Not sure what module(s) own hd=, didn't change it yet.)
   * Remove docs for how to disable gdth, which harks back to a non-modular
   [ Christian Perrier ]
   * Rename Punjabi related files from pa_IN to pa.
   * Add the list of needed characters for Northern Sami
   * Add the list of needed characters for Thai
   [ Frans Pop ]
   * Remove no longer used graphical characters from graphic.utf (formerly used
     in partman).
   * Move graphic.utf to needed-characters.
   * Rename all needed-character files to *.utf to simplify Makefile.
   * Remove 2.6 references from hppa config as 2.6 is now default; keep
     EXTRANAME=2.6/ for now in order to not break debian-cd.
   [ Joey Hess ]
   * Remove build dep on libdebian-installer4 now that all udeb deps are fixed
   * Update i386 to 2.6.16.
   * Copy library .so links from library-providing udebs into the udeblib
     directory along with the library files, otherwise mklibs doesn't see them.
     (Crossing fingers that this change, which has been tried once before,
     doesn't break something..)
   * Remove build dep on libdebconfclient0 since all relevant udeb deps are
   * Remove libdebconfclient0 from pkg-list/exclude too.
   * Remove build dep on libdiscover1 now that there's a libdiscover1-udeb
     and proper deps. Remove it from pkg-list/exclude too.
   * Correct comment for libbogl-dev build dep.
   * Add mips mipsel arm and armeb to arch list for the module-init-tools build
     dep since they all use 2.6 kernels now.
   * Limit modutils build dep to the arches that still use 2.4 [arm i386 mips
     mipsel powerpc s390 sparc].
   [ Frans Pop ]
   * Update sparc to 2.6.16; re-enable 2.6 for sparc32.
   * kbd-chooser 1.25 will no longer use usb-mac keymaps for 2.6 based
     installations if AT keymaps are defined; therefore, no longer include
     usb-mac keymaps in images using a 2.6 kernel. Not touching pkg-lists files
     for mips(el) sb1-bcm91250a as they currently don't include AT keymaps.
   [ Joey Hess ]
   * Can't find any uses of cdrom-minimal and netboot-minimal, so removing
     those directories from pkg-lists.
   [ Colin Watson ]
   * Update powerpc to 2.6.16.
   * Pass -r $(KERNELVERSION) to mkvmlinuz rather than -r $(KERNELMAJOR), so
     that it can tell the difference between 2.6.16 and earlier releases.
   * Build chrp initrds for powerpc64.
   * Restore usb-discover on 2.6 images; according to Martin-Ã?ric Racine it's
     still needed to load usbhid et al on some systems. Plus, it's tiny.
   * Add support for OS-specific pkg-lists entries: use lines like
     "gnumach-udeb [hurd]".
   [ Joey Hess ]
   * Comment out nano-udeb and save-logs in the access floppy list to try to
     save space.
   * New usb-serial-modules package added to access floppy, although that
     floppy will now be well oversize.
   * Add kfreebsd and some missing hurd stuff to build dependency info.
     Closes: #363661
   * Remove ide stuff from access floppy, fixing its size problem. Don't know
     why ide stuff was ever on there.
   * Remove USB floppy and keychain support from boot floppy as it was out of
   [ Kyle McMartin ]
   * Update hppa to 2.6.16.
   [ Frans Pop ]
   * Also include libs named *.so.* when calling mklibs. Not including those
     results in missing symbols when building the graphical installer.
     Closes: #366441.
   [ Joey Hess ]
   * Patch from Samuel Thibault to support testing CD-ROM images in qemu.
     Closes: #367068
   * Add documentation for brltty= boot parameter (hope I got it right).
   * Apply Samuel Thibault's patch to add brltty-udeb to the cdrom, netboot,
     nativehd, and hd-media images. Closes: #355851
   * Mark usb-serial-modules added by brltty patch as optional, since they're
     not yet available on all arches.
   * Increase size of the hd-media images from 128 mb to 256 mb to make more
     room for the netinst.
   * Put modutils udebs back on 2.4/2.2 images since new busybox has dropped
     all support for that.
   * Stop building el-torito i386 image, it's too big due to above busybox
   * i386 floppy is full due to above busybox change, moved half the network
     stuff the the net-drivers floppy, which now must be used for all network
   * i386 bootfloppy is broken:
     mount: Couldn't setup loop device
     No idea why. Disabled i386 root and boot floppies. :-(
   * Add EXTRAUDEBS variable which can be used to pull in extra udebs for
     library reduction that are not on boot images.
   * Include cdebconf-newt-entropy in EXTRAUDEBS so that its symbols are in the
     boot images; since it is linked into cdebconf which uses the reduced libc.
   * No more parted build dep; those udeb deps are fixed.
   [ Frans Pop ]
   * Integrate graphical installer. Closes: #228808.
   [ Steve Langasek ]
   * Drop serial-modules from the alpha images, since this package is empty
     now in 2.6.16 apparently due to drivers being built into the kernel
   [ Colin Watson ]
   * Integrate graphical installer on powerpc.
   [ Joey Hess ]
   * Workaround syslinux weirdness on hd-media images; when asked to boot
     2.6/linux, it tries to boot "2.6/l". Rename files out of directories to
     avoid this; the gtk initrd has the unappetizing name "initrdg.gz".
   * Fix amd64 gtk miniiso build.
   * Switch i386 to 2.6.16-2.
   [ Sven luther ]
   * Switch powerpc to 2.6.16-2 and disable non-working powerpc subarches.
     Closes: #373264.
   [ Martin Michlmayr ]
   * Switch mips to 2.6.16-2.
   * Switch arm to 2.6.16-2.
   * Switch mipsel to 2.6.16-2.
   * Add images for RiscPC (rpc).
   * Remove 2.4 images on mips.
   * Add 2.6 images for DECstation.
   * Remove 2.4 images on mipsel.
   [ Frans Pop ]
   * Switch sparc and amd64 to 2.6.16-2.
   * graphic.utf: add arrow characters needed for scrollbar display; remove
     unused/duplicate characters.
   * Remove needed_characters files for "level 4" languages (are not supported
     in newt frontend).
   * Rename needed_characters files for prospective languages so they're not
     included yet.
   * Switch hppa to 2.6.16-2.
   * Switch ia64 to 2.6.16-2.
   * Include USB-MAC keymaps again for powerpc with 2.6 kernels; they've been
     re-enabled in kbd-chooser for that architecture.
   [ Joey Hess ]
   * Switch from using DEBCONF_PRIORITY and sometimes debconf/priority to
     consistently using priority=low to boot to expert mode. Needs preseed
   * Change x86 help screen to document fb=false alias.
   * Remove libtextwrap1 from build deps and pkg-lists/exclude; cdebconf
     now uses the library udeb.
   [ Christian Perrier ]
   * Remove all *.prospective files as all these languages are only used in
     the graphical installer.
   [ Joey Hess ]
   * Remove mountfloppy from netboot/common list, add it to only arches that
     support floppies.
   * Don't include brltty on the netboot image for nslu2 machines,
     which uses network-console. Actually, I removed it from images for arches
     except for alpha, amd64, i386, ia64, and powerpc, since the other netboot
     images seem to lack serial-modules.
   * Remove local copy of slugimage and use the debian package.
   [ Frans Pop ]
   * Disable powerpc/apus as the 2.4 kernels it currently uses were removed
     from the archive.
   [ Colin Watson ]
   * Only try upx compression if UPX is defined; avoids build noise on amd64.
 a0e126b81952199bcf0580e4a5b1abc2 1874 devel optional debian-installer_20060726.dsc
 fad436ead1efba9772fbed990c72ea39 1216043 devel optional debian-installer_20060726.tar.gz
 66a4dc3392fcd56bd471ff38e481a2e3 759274 devel optional debian-installer_20060726_amd64.deb
 0263ebe1b110a58f2281a34976464d9c 77899680 raw-installer - debian-installer-images_20060726_amd64.tar.gz

Version: GnuPG v1.4.3 (GNU/Linux)


--- End Message ---

Reply to: